Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstance

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstance

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static final class JBPMMessages.ProcessInstance.NodeInstance

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstance`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.NodeInstance.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstance`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `CONTENT_FIELD_NUMBER`
`static int` | `ID_FIELD_NUMBER`
`static int` | `LEVEL_FIELD_NUMBER`
`static int` | `NODE_ID_FIELD_NUMBER`
`static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstance>` | `PARSER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `getContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder` | `getContentOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`static JBPMMessages.ProcessInstance.NodeInstance` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`long` | `getId()` `optional int64 id = 1;`
`int` | `getLevel()` `optional int32 level = 5;`
`long` | `getNodeId()` `optional int64 node_id = 2;`
`com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstance>` | `getParserForType()`
`int` | `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`boolean` | `hasContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`boolean` | `hasId()` `optional int64 id = 1;`
`boolean` | `hasLevel()` `optional int32 level = 5;`
`boolean` | `hasNodeId()` `optional int64 node_id = 2;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.NodeInstance.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.NodeInstance.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstance prototype)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.NodeInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstance> PARSER

### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

### NODE_ID_FIELD_NUMBER

    public static final int NODE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### CONTENT_FIELD_NUMBER

    public static final int CONTENT_FIELD_NUMBER

See Also:
  Constant Field Values

### LEVEL_FIELD_NUMBER

    public static final int LEVEL_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.NodeInstance getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstance> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### hasId

    public boolean hasId()

  `optional int64 id = 1;`

  Specified by:
    `hasId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### getId

    public long getId()

  `optional int64 id = 1;`

  Specified by:
    `getId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### hasNodeId

    public boolean hasNodeId()

  `optional int64 node_id = 2;`

  Specified by:
    `hasNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### getNodeId

    public long getNodeId()

  `optional int64 node_id = 2;`

  Specified by:
    `getNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### hasContent

    public boolean hasContent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

  Specified by:
    `hasContent` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### getContent

    public JBPMMessages.ProcessInstance.NodeInstanceContent getContent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

  Specified by:
    `getContent` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### getContentOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder getContentOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

  Specified by:
    `getContentOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### hasLevel

    public boolean hasLevel()

  `optional int32 level = 5;`

  Specified by:
    `hasLevel` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### getLevel

    public int getLevel()

  `optional int32 level = 5;`

  Specified by:
    `getLevel` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(com.google.protobuf.ByteString data)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(com.google.protobuf.ByteString data,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(byte[] data)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(byte[] data,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(InputStream input)
                                                               throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(InputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseDelimitedFrom(InputStream input)
                                                                        throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseDelimitedFrom(InputStream input,
                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                        throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                               throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstance.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.NodeInstance.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstance.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstance prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.NodeInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.